#!/bin/sh

export PATH=$PATH:/opt/freeware/bin
SHARE=/opt/freeware/share/kubernetes
FSNAME=kubefs
MOUNTPOINT=/kubefs

lsfs $FSNAME >/dev/null 2>&1
true # temporary, do not create separate filesystem
if [ $? != 0 ]; then
	echo "Filesystem $FSNAME does not exist."
	read vgname?"Enter the name of the volume group to create the $FSNAME filesystem on: "
	lsvg $vgname >/dev/null 2>&1
	if [ $? != 0 ]; then
		echo "Volume Group $vgname not found." >&2; exit 1
	fi
	read sizegb?"Enter the size of the filesystem in GB: "
	crfs -v jfs2 -g $vgname -A yes -u kubefs -a size=${sizegb}G -m $MOUNTPOINT
	if [ $? != 0 ]; then
		echo "Could not create filesystem $FSNAME." >&2; exit 1
	fi
	mount $MOUNTPOINT
	if [ $? != 0 ]; then
		rmfs $MOUNTPOINT
		echo "Could not mount filesystem $FSNAME." >&1; exit 1
	fi
	mkdir -p $MOUNTPOINT/criwpard
	mkdir -p $MOUNTPOINT/kubelet
	crfs -v namefs -d $MOUNTPOINT/criwpard -A yes -u kubefs -m /tmp/criwpard
	crfs -v namefs -d $MOUNTPOINT/kubelet -A yes -u kubefs -m /tmp/kubelet
fi

exec k8s-setup-ds.sh
exit 1
